petsc-3.4.2 2013-07-02

# TSSetTolerances

Set tolerances for local truncation error when using adaptive controller

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetTolerances(TS ts,PetscReal atol,Vec vatol,PetscReal rtol,Vec vrtol)

Logically Collective

### Input Arguments

| ts | - time integration context
| atol | - scalar absolute tolerances, PETSC_DECIDE to leave current value
| vatol | - vector of absolute tolerances or NULL, used in preference to atol if present
| rtol | - scalar relative tolerances, PETSC_DECIDE to leave current value
| vrtol | - vector of relative tolerances or NULL, used in preference to atol if present

### See Also

TS, TSAdapt, TSVecNormWRMS(), TSGetTolerances()

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages